Package org.optaplanner.core.impl.score.stream.bavet

## Class BavetConstraintSession<Solution_,​Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.BavetConstraintSession<Solution_,​Score_>

-     public final class BavetConstraintSession<Solution_,​Score_ extends Score<Score_>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetConstraintSession​(boolean constraintMatchEnabled, ScoreDefinition<Score_> scoreDefinition, Map<BavetConstraint<Solution_>,​Score_> constraintToWeightMap)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Score_` | `calculateScore​(int initScore)` |
    `List<BavetFromUniNode<Object>>` | `findFromNodeList​(Class<?> factClass)` |
    `Map<String,​ConstraintMatchTotal<Score_>>` | `getConstraintMatchTotalMap()` |
    `Map<Object,​Indictment<Score_>>` | `getIndictmentMap()` |
    `List<BavetNode>` | `getNodes()` |
    `ScoreInliner<Score_>` | `getScoreInliner()` |
    `List<BavetScoringNode>` | `getScoringNodeList()` |
    `void` | `insert​(Object fact)` |
    `void` | `retract​(Object fact)` |
    `void` | `transitionTuple​(BavetAbstractTuple tuple, BavetTupleState newState)` |
    `void` | `update​(Object fact)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetConstraintSession

          public BavetConstraintSession​(boolean constraintMatchEnabled,
                                        ScoreDefinition<Score_> scoreDefinition,
                                        Map<BavetConstraint<Solution_>,​Score_> constraintToWeightMap)

  - ### Method Detail

    - #### findFromNodeList

          public List<BavetFromUniNode<Object>> findFromNodeList​(Class<?> factClass)

    - #### insert

          public void insert​(Object fact)

    - #### update

          public void update​(Object fact)

    - #### retract

          public void retract​(Object fact)

    - #### transitionTuple

          public void transitionTuple​(BavetAbstractTuple tuple,
                                      BavetTupleState newState)

    - #### calculateScore

          public Score_ calculateScore​(int initScore)

    - #### getConstraintMatchTotalMap

          public Map<String,​ConstraintMatchTotal<Score_>> getConstraintMatchTotalMap()

    - #### getIndictmentMap

          public Map<Object,​Indictment<Score_>> getIndictmentMap()

    - #### getScoreInliner

          public ScoreInliner<Score_> getScoreInliner()

    - #### getNodes

          public List<BavetNode> getNodes()

    - #### getScoringNodeList

          public List<BavetScoringNode> getScoringNodeList()